# Generated by Django 3.2.12 on 2022-03-22 20:13

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("program", "0017_auto_20220302_1711"),
    ]

    operations = [
        migrations.AlterField(
            model_name="schedule",
            name="add_business_days_only",
            field=models.BooleanField(
                default=False,
                help_text="Whether to add add_days_no but skipping the weekends. E.g. if weekday is Friday, the date returned will be the next Monday.",  # noqa: E501
            ),
        ),
        migrations.AlterField(
            model_name="schedule",
            name="add_days_no",
            field=models.IntegerField(
                blank=True,
                help_text="Add a number of days to the generated dates. This can be useful for repetitions, like 'On the following day'.",  # noqa: E501
                null=True,
            ),
        ),
        migrations.AlterField(
            model_name="schedule",
            name="by_weekday",
            field=models.IntegerField(
                choices=[
                    (0, "Monday"),
                    (1, "Tuesday"),
                    (2, "Wednesday"),
                    (3, "Thursday"),
                    (4, "Friday"),
                    (5, "Saturday"),
                    (6, "Sunday"),
                ],
                help_text="Number of the Weekday.",
            ),
        ),
        migrations.AlterField(
            model_name="schedule",
            name="default_playlist_id",
            field=models.IntegerField(
                blank=True,
                help_text="A tank ID in case the timeslot's playlist_id is empty.",
                null=True,
            ),
        ),
        migrations.AlterField(
            model_name="schedule",
            name="end_time",
            field=models.TimeField(help_text="End time of schedule."),
        ),
        migrations.AlterField(
            model_name="schedule",
            name="first_date",
            field=models.DateField(help_text="Start date of schedule."),
        ),
        migrations.AlterField(
            model_name="schedule",
            name="is_repetition",
            field=models.BooleanField(
                default=False, help_text="Whether the schedule is a repetition."
            ),
        ),
        migrations.AlterField(
            model_name="schedule",
            name="last_date",
            field=models.DateField(help_text="End date of schedule."),
        ),
        migrations.AlterField(
            model_name="schedule",
            name="rrule",
            field=models.ForeignKey(
                help_text="\nA recurrence rule.\n\n* 1 = once,\n* 2 = daily,\n* 3 = business days,\n* 4 = weekly,\n* 5 = biweekly,\n* 6 = every four weeks,\n* 7 = every even calendar week (ISO 8601),\n* 8 = every odd calendar week (ISO 8601),\n* 9 = every 1st week of month,\n* 10 = every 2nd week of month,\n* 11 = every 3rd week of month,\n* 12 = every 4th week of month,\n* 13 = every 5th week of month\n",  # noqa: E501
                on_delete=django.db.models.deletion.CASCADE,
                related_name="schedules",
                to="program.rrule",
            ),
        ),
        migrations.AlterField(
            model_name="schedule",
            name="show",
            field=models.ForeignKey(
                help_text="Show the schedule belongs to.",
                on_delete=django.db.models.deletion.CASCADE,
                related_name="schedules",
                to="program.show",
            ),
        ),
        migrations.AlterField(
            model_name="schedule",
            name="start_time",
            field=models.TimeField(help_text="Start time of schedule."),
        ),
    ]
